#ifndef SVN_FILESYSTEM_HH
#define SVN_FILESYSTEM_HH

#include <boost/utility.hpp>
#include <svn/repos/repository.hh>

typedef struct svn_fs_t svn_fs_t;

namespace svn {
namespace fs {

class Filesystem : private boost::noncopyable {
    public:
        /** Opens the filesystem associated with the given repository. **/
        Filesystem(repos::Repository &r);

        /** Closes the filesystem. **/
        ~Filesystem();
    private:
        svn_fs_t *me;
};

}
}

#endif
